Subject: Re: bug#51632: Emacs 28: posn-at-x-y fails to take a tab line into account.

From: Alan Mackenzie <[email-masked]>
Date: Sat, 6 Nov 2021 20:04:14 +0000

tags 51632 notabug
close 51632
quit

Hello, Martin.

On Sat, Nov 06, 2021 at 19:50:23 +0100, martin rudalics wrote:
>  > (i) emacs -Q
>  > (ii) C-u C-h i <and info file> RET
>  > (iii) M-: (point) ; Note this value
>  > (iv) M-: (posn-at-x-y 0 18) ; Where 18 is the height of your default
>  >    font.  Note that the second element of the result matches that from
>  >    (iii)
>  >
>  > (v) M-x tab-bar-mode RET
>  > (vi) M-: (posn-at-x-y 0 18) ; This returns the same as (iv).
>  >
>  > Because of the tab line, (vi) should return the symbol `header-line' in
>  > its second element, not the same as (iv).  This is a bug.

> I'm not sure I understand.  'tab-bar-mode' puts a tab bar on top of the
> frame.  How is this related to 'posn-at-x-y' which, by default, deals
> with the selected window?

Apologies.  I got confused between tab-bar-mode and tab-line-mode.  When
I use tab-line-mode, posn-at-x-y works as desired.

I'm closing this bug as notabug with this post.

> martin

-- 
Alan Mackenzie (Nuremberg, Germany).